@echo off
set vf=
set vf=%vf% amovie=./libs/sample.avi[out1]; 
set vf=%vf% movie=./libs/sample.avi,
set vf=%vf% fps = fps = 29 , setdar = dar = 16/9, setsar = sar =1/1 [in] ; 
set vf=%vf% movie= './libs/lion.png' ,scale = 320/2:180/2 , 
set vf=%vf% fps = fps = 29 , setdar = dar = 16/9, setsar = sar =1/1 [lion] ;
set vf=%vf% [lion]chromakey=0x353DB0:0.1:0.2,hflip[ckout];[in][ckout]overlay = W-w:H-h
set vf=%vf: =%
set cmd=ffplay -hide_banner -f lavfi -i %vf%

echo %cmd%
%cmd%

